The Stock Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

item_naming_by string

Default: Item Code

item_group string
stock_uom string
default_warehouse string
sample_retention_warehouse string
valuation_method string
over_delivery_receipt_allowance number
action_if_quality_inspection_is_not_submitted string

Default: Stop

show_barcode_field boolean

Default: true

clean_description_html boolean

Default: true

auto_insert_price_list_rate_if_missing boolean

Default: false

allow_negative_stock boolean

Default: false

auto_indent boolean

Default: false

reorder_email_notify boolean

Default: false

stock_frozen_upto string
stock_frozen_upto_days integer
stock_auth_role string
use_naming_series boolean

Default: false

naming_series_prefix string

Default: BATCH-

role_allowed_to_create_edit_back_dated_transactions string
disable_serial_no_and_batch_selector boolean

Default: false

role_allowed_to_over_deliver_receive string
action_if_quality_inspection_is_rejected string

Default: Stop

mr_qty_allowance number
update_existing_price_list_rate boolean

Default: false

enable_stock_reservation boolean

Default: false

allow_partial_reservation boolean

Default: true

pick_serial_and_batch_based_on string

Default: FIFO

auto_create_serial_and_batch_bundle_for_outward boolean

Default: true

auto_reserve_serial_and_batch boolean

Default: true

allow_to_edit_stock_uom_qty_for_sales boolean

Default: false

allow_to_edit_stock_uom_qty_for_purchase boolean

Default: false

auto_reserve_stock_for_sales_order_on_purchase boolean

Default: false

use_serial_batch_fields boolean

Default: true

do_not_update_serial_batch_on_creation_of_auto_bundle boolean

Default: true

allow_internal_transfer_at_arms_length_price boolean

Default: false

do_not_use_batchwise_valuation boolean

Default: false

over_picking_allowance number
allow_existing_serial_no boolean

Default: true

auto_reserve_stock boolean

Default: false

set_serial_and_batch_bundle_naming_based_on_naming_series boolean

Default: false

allow_uom_with_conversion_rate_defined_in_item boolean

Default: false

allow_to_make_quality_inspection_after_purchase_or_delivery boolean

Default: false

update_price_list_based_on string

Default: Rate

validate_material_transfer_warehouses boolean

Default: false

allow_negative_stock_for_batch boolean

Default: false

enable_serial_and_batch_no_for_item boolean

Default: false

The Stock Settings object
{
  "id": "stock-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_naming_by": "Item Code",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "default_warehouse": "default_warehouse_example",
  "sample_retention_warehouse": "sample_retention_warehouse_example",
  "valuation_method": "valuation_method_example",
  "over_delivery_receipt_allowance": 0,
  "action_if_quality_inspection_is_not_submitted": "Stop",
  "show_barcode_field": true,
  "clean_description_html": true,
  "auto_insert_price_list_rate_if_missing": false,
  "allow_negative_stock": false,
  "auto_indent": false,
  "reorder_email_notify": false,
  "stock_frozen_upto": "stock_frozen_upto_example",
  "stock_frozen_upto_days": 0,
  "stock_auth_role": "stock_auth_role_example",
  "use_naming_series": false,
  "naming_series_prefix": "BATCH-",
  "role_allowed_to_create_edit_back_dated_transactions": "2024-01-15",
  "disable_serial_no_and_batch_selector": false,
  "role_allowed_to_over_deliver_receive": "role_allowed_to_over_deliver_receive_example",
  "action_if_quality_inspection_is_rejected": "Stop",
  "mr_qty_allowance": 0,
  "update_existing_price_list_rate": false,
  "enable_stock_reservation": false,
  "allow_partial_reservation": true,
  "pick_serial_and_batch_based_on": "FIFO",
  "auto_create_serial_and_batch_bundle_for_outward": true,
  "auto_reserve_serial_and_batch": true,
  "allow_to_edit_stock_uom_qty_for_sales": false,
  "allow_to_edit_stock_uom_qty_for_purchase": false,
  "auto_reserve_stock_for_sales_order_on_purchase": false,
  "use_serial_batch_fields": true,
  "do_not_update_serial_batch_on_creation_of_auto_bundle": true,
  "allow_internal_transfer_at_arms_length_price": false,
  "do_not_use_batchwise_valuation": false,
  "over_picking_allowance": 0,
  "allow_existing_serial_no": true,
  "auto_reserve_stock": false,
  "set_serial_and_batch_bundle_naming_based_on_naming_series": false,
  "allow_uom_with_conversion_rate_defined_in_item": false,
  "allow_to_make_quality_inspection_after_purchase_or_delivery": false,
  "update_price_list_based_on": "Rate",
  "validate_material_transfer_warehouses": false,
  "allow_negative_stock_for_batch": false,
  "enable_serial_and_batch_no_for_item": false
}
GET /api/stock/stock-settings

Retrieve stock settings

Retrieves the current stock settings. This is a singleton resource.

Returns

Returns the stock settings object.

GET /api/stock/stock-settings
curl https://api.overplane.dev/api/stock/stock-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "stock-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_naming_by": "Item Code",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "default_warehouse": "default_warehouse_example",
  "sample_retention_warehouse": "sample_retention_warehouse_example",
  "valuation_method": "valuation_method_example",
  "over_delivery_receipt_allowance": 0,
  "action_if_quality_inspection_is_not_submitted": "Stop",
  "show_barcode_field": true,
  "clean_description_html": true,
  "auto_insert_price_list_rate_if_missing": false,
  "allow_negative_stock": false,
  "auto_indent": false,
  "reorder_email_notify": false,
  "stock_frozen_upto": "stock_frozen_upto_example",
  "stock_frozen_upto_days": 0,
  "stock_auth_role": "stock_auth_role_example",
  "use_naming_series": false,
  "naming_series_prefix": "BATCH-",
  "role_allowed_to_create_edit_back_dated_transactions": "2024-01-15",
  "disable_serial_no_and_batch_selector": false,
  "role_allowed_to_over_deliver_receive": "role_allowed_to_over_deliver_receive_example",
  "action_if_quality_inspection_is_rejected": "Stop",
  "mr_qty_allowance": 0,
  "update_existing_price_list_rate": false,
  "enable_stock_reservation": false,
  "allow_partial_reservation": true,
  "pick_serial_and_batch_based_on": "FIFO",
  "auto_create_serial_and_batch_bundle_for_outward": true,
  "auto_reserve_serial_and_batch": true,
  "allow_to_edit_stock_uom_qty_for_sales": false,
  "allow_to_edit_stock_uom_qty_for_purchase": false,
  "auto_reserve_stock_for_sales_order_on_purchase": false,
  "use_serial_batch_fields": true,
  "do_not_update_serial_batch_on_creation_of_auto_bundle": true,
  "allow_internal_transfer_at_arms_length_price": false,
  "do_not_use_batchwise_valuation": false,
  "over_picking_allowance": 0,
  "allow_existing_serial_no": true,
  "auto_reserve_stock": false,
  "set_serial_and_batch_bundle_naming_based_on_naming_series": false,
  "allow_uom_with_conversion_rate_defined_in_item": false,
  "allow_to_make_quality_inspection_after_purchase_or_delivery": false,
  "update_price_list_based_on": "Rate",
  "validate_material_transfer_warehouses": false,
  "allow_negative_stock_for_batch": false,
  "enable_serial_and_batch_no_for_item": false
}
PATCH /api/stock/stock-settings/{id}

Update a stock settings

Updates the specified stock settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the stock settings to update.

Body parameters

item_naming_by string

Default: Item Code

item_group string
stock_uom string
default_warehouse string
sample_retention_warehouse string
valuation_method string
over_delivery_receipt_allowance number
action_if_quality_inspection_is_not_submitted string

Default: Stop

show_barcode_field boolean

Default: true

clean_description_html boolean

Default: true

auto_insert_price_list_rate_if_missing boolean

Default: false

allow_negative_stock boolean

Default: false

auto_indent boolean

Default: false

reorder_email_notify boolean

Default: false

stock_frozen_upto string
stock_frozen_upto_days integer
stock_auth_role string
use_naming_series boolean

Default: false

naming_series_prefix string

Default: BATCH-

role_allowed_to_create_edit_back_dated_transactions string
disable_serial_no_and_batch_selector boolean

Default: false

role_allowed_to_over_deliver_receive string
action_if_quality_inspection_is_rejected string

Default: Stop

mr_qty_allowance number
update_existing_price_list_rate boolean

Default: false

enable_stock_reservation boolean

Default: false

allow_partial_reservation boolean

Default: true

pick_serial_and_batch_based_on string

Default: FIFO

auto_create_serial_and_batch_bundle_for_outward boolean

Default: true

auto_reserve_serial_and_batch boolean

Default: true

allow_to_edit_stock_uom_qty_for_sales boolean

Default: false

allow_to_edit_stock_uom_qty_for_purchase boolean

Default: false

auto_reserve_stock_for_sales_order_on_purchase boolean

Default: false

use_serial_batch_fields boolean

Default: true

do_not_update_serial_batch_on_creation_of_auto_bundle boolean

Default: true

allow_internal_transfer_at_arms_length_price boolean

Default: false

do_not_use_batchwise_valuation boolean

Default: false

over_picking_allowance number
allow_existing_serial_no boolean

Default: true

auto_reserve_stock boolean

Default: false

set_serial_and_batch_bundle_naming_based_on_naming_series boolean

Default: false

allow_uom_with_conversion_rate_defined_in_item boolean

Default: false

allow_to_make_quality_inspection_after_purchase_or_delivery boolean

Default: false

update_price_list_based_on string

Default: Rate

validate_material_transfer_warehouses boolean

Default: false

allow_negative_stock_for_batch boolean

Default: false

enable_serial_and_batch_no_for_item boolean

Default: false

Returns

Returns the updated stock settings object.

PATCH /api/stock/stock-settings/{id}
curl https://api.overplane.dev/api/stock/stock-settings/stock-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"item_naming_by":"Item Code","item_group":"item_group_example"}'
Response
{
  "id": "stock-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_naming_by": "Item Code",
  "item_group": "item_group_example",
  "stock_uom": "stock_uom_example",
  "default_warehouse": "default_warehouse_example",
  "sample_retention_warehouse": "sample_retention_warehouse_example",
  "valuation_method": "valuation_method_example",
  "over_delivery_receipt_allowance": 0,
  "action_if_quality_inspection_is_not_submitted": "Stop",
  "show_barcode_field": true,
  "clean_description_html": true,
  "auto_insert_price_list_rate_if_missing": false,
  "allow_negative_stock": false,
  "auto_indent": false,
  "reorder_email_notify": false,
  "stock_frozen_upto": "stock_frozen_upto_example",
  "stock_frozen_upto_days": 0,
  "stock_auth_role": "stock_auth_role_example",
  "use_naming_series": false,
  "naming_series_prefix": "BATCH-",
  "role_allowed_to_create_edit_back_dated_transactions": "2024-01-15",
  "disable_serial_no_and_batch_selector": false,
  "role_allowed_to_over_deliver_receive": "role_allowed_to_over_deliver_receive_example",
  "action_if_quality_inspection_is_rejected": "Stop",
  "mr_qty_allowance": 0,
  "update_existing_price_list_rate": false,
  "enable_stock_reservation": false,
  "allow_partial_reservation": true,
  "pick_serial_and_batch_based_on": "FIFO",
  "auto_create_serial_and_batch_bundle_for_outward": true,
  "auto_reserve_serial_and_batch": true,
  "allow_to_edit_stock_uom_qty_for_sales": false,
  "allow_to_edit_stock_uom_qty_for_purchase": false,
  "auto_reserve_stock_for_sales_order_on_purchase": false,
  "use_serial_batch_fields": true,
  "do_not_update_serial_batch_on_creation_of_auto_bundle": true,
  "allow_internal_transfer_at_arms_length_price": false,
  "do_not_use_batchwise_valuation": false,
  "over_picking_allowance": 0,
  "allow_existing_serial_no": true,
  "auto_reserve_stock": false,
  "set_serial_and_batch_bundle_naming_based_on_naming_series": false,
  "allow_uom_with_conversion_rate_defined_in_item": false,
  "allow_to_make_quality_inspection_after_purchase_or_delivery": false,
  "update_price_list_based_on": "Rate",
  "validate_material_transfer_warehouses": false,
  "allow_negative_stock_for_batch": false,
  "enable_serial_and_batch_no_for_item": false
}